﻿@page
@model LoginModel

@{
    ViewData["Title"] = "Log in";
}

<h1>@ViewData["Title"]</h1>
<div class="row">
    <div class="col-md-6">
        <section>
            <form id="safa-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal pb-5">
                <h4>SAFA members</h4>
                <hr />
                <div>
                    <p>
                        <button type="submit" class="btn btn-primary btn-lg btn-block" name="provider" value="SAFA" title="Log in using your SAFA account">Log in with SAFA</button>
                    </p>
                </div>
            </form>
        </section>
    </div>
</div>
<h5>Not a SAFA member?</h5>
<section>
    @if ((Model.ExternalLogins?.Count ?? 0) > 0)
    {
        <div class="row">
            <div class="col-md-4">
                <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal pb-3">
                    <h6>Use an external log in.</h6>
                    <hr />
                    <div>
                        <p>
                            @foreach (var provider in Model.ExternalLogins)
                            {
                                <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">Log in with @provider.DisplayName</button>
                            }
                        </p>
                    </div>
                </form>
            </div>
        </div>
    }
    <div class="row">
        <div class="col-md-4">
            <button class="btn btn-link" data-toggle="collapse" data-target="#localLogin" aria-controls="localLogin" style="padding: 0">
                <h6>Use a username and password to log in.</h6>
            </button>
            <div id="localLogin" class="card card-body @(Model.ModelState.IsValid ? "collapse" : "" @* Hide username/password login form - but show if there was a login issue after using it.*@) hide">
                <form id="safa-account" method="post">
                    <div asp-validation-summary="All" class="text-danger"></div>
                    <div class="form-group">
                        <label asp-for="Input.Email"></label>
                        <input asp-for="Input.Email" class="form-control" autocomplete="username" />
                        <span asp-validation-for="Input.Email" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="Input.Password"></label>
                        <input asp-for="Input.Password" class="form-control" autocomplete="current-password" />
                        <span asp-validation-for="Input.Password" class="text-danger"></span>
                    </div>
                    @*                     <div class="form-group">
                    <div class="checkbox">
                    <label asp-for="Input.RememberMe">
                    <input type="checkbox" asp-for="Input.RememberMe" />
                    <small>Stay logged in after closing your browser</small>
                    </label>
                    *@                            @*                             <label asp-for="Input.RememberMe" data-toggle="popover" data-trigger="hover" data-placement="right" data-offset="0, 20" title="Persistent login" data-content="Enable this to stay logged in after closing your browser.">
                    <input type="checkbox" asp-for="Input.RememberMe" />
                    @Html.DisplayNameFor(m => m.Input.RememberMe)
                    </label>
                    *@
                    @* </div> *@
                    @* <small class="form-text text-muted">Enable this to stay logged in after closing your browser.</small> *@
                    @* </div> *@
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Log in</button>
                    </div>
                    <div class="form-group">
                        <p>
                            <a id="forgot-password" asp-page="./ForgotPassword">Forgot your password?</a>
                        </p>
                        <p>
                            <a asp-page="./Register" asp-route-returnUrl="@Model.ReturnUrl">Register</a>
                        </p>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
    <script type="text/javascript">
        $(function () {
            $('[data-toggle="popover"]').popover();
        })
    </script>
}
